Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ObjectIdListC.cpp File Reference

`#include "ObjectIdListC.h"`
`#include "CDR.h"`
`#include "Typecode.h"`
`#include "ObjectIdListC.i"`

Include dependency graph for ObjectIdListC.cpp:

## Namespaces
namespace | CORBA
namespace | TAO
## Defines
#define | _CORBA_ORB_OBJECTIDLIST_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_CORBA_ORB_ObjectId (CORBA::tk_alias, sizeof(_oc_CORBA_ORB_ObjectId),(char *)&_oc_CORBA_ORB_ObjectId, 0, sizeof(CORBA::ORB_ObjectId))
CORBA::TypeCode | _tc_TAO_tc_CORBA_ORB_ObjectIdList (CORBA::tk_alias, sizeof(_oc_CORBA_ORB_ObjectIdList),(char *)&_oc_CORBA_ORB_ObjectIdList, 0, sizeof(CORBA::ORB_ObjectIdList))
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::ORB_ObjectIdList &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::ORB_ObjectIdList &_tao_sequence)
## Variables
const CORBA::Long | _oc_CORBA_ORB_ObjectId []
const CORBA::Long | _oc_CORBA_ORB_ObjectIdList []

## Define Documentation

#define _CORBA_ORB_OBJECTIDLIST_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_CORBA_ORB_ObjectId | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_CORBA_ORB_ObjectId) | ,
|  | (char *)& | _oc_CORBA_ORB_ObjectId,
|  | 0 | ,
|  | sizeof(CORBA::ORB_ObjectId) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_ORB_ObjectIdList | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_CORBA_ORB_ObjectIdList) | ,
|  | (char *)& | _oc_CORBA_ORB_ObjectIdList,
|  | 0 | ,
|  | sizeof(CORBA::ORB_ObjectIdList) |
| ) | `[static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::ORB_ObjectIdList & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::ORB_ObjectIdList & | _tao_sequence
| ) |

## Variable Documentation

const CORBA::Long _oc_CORBA_ORB_ObjectId[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      35,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x434f5242),
      ACE_NTOHL (0x412f4f52),
      ACE_NTOHL (0x425f4f62),
      ACE_NTOHL (0x6a656374),
      ACE_NTOHL (0x49643a31),
      ACE_NTOHL (0x2e300000),
        13,
      ACE_NTOHL (0x4f52425f),
      ACE_NTOHL (0x4f626a65),
      ACE_NTOHL (0x63744964),
      ACE_NTOHL (0x0),
        CORBA::tk_string,
      0U,
    }

const CORBA::Long _oc_CORBA_ORB_ObjectIdList[]`[static]`